<?php
class Bi_pagina
{
	private $_codigo;
	private $_nome;
	private $_area;
	private $_layout;
	private $_tempo_visivel_publico;
	private $_data_ini_visivel_publico;
	private $_link_externo;
	private $_listalista_Analise = array();
	public function setCodigo($codigo)
	{
 		$this->_codigo = $codigo;
	}
	public function getCodigo()
	{
 		return $this->_codigo;
	}
	public function setNome($nome)
	{
 		$this->_nome = $nome;
	}
	public function getNome()
	{
 		return $this->_nome;
	}
	public function setArea($area)
	{
 		$this->_area = $area;
	}
	public function getArea()
	{
 		return $this->_area;
	}
	public function setLayout($layout)
	{
 		$this->_layout = $layout;
	}
	public function getLayout()
	{
 		return $this->_layout;
	}
	public function setTempo_visivel_publico($tempo_visivel_publico)
	{
 		$this->_tempo_visivel_publico = $tempo_visivel_publico;
	}
	public function getTempo_visivel_publico()
	{
 		return $this->_tempo_visivel_publico;
	}
	public function setData_ini_visivel_publico(DateTime $data_ini_visivel_publico)
	{
 		$this->_data_ini_visivel_publico = $data_ini_visivel_publico;
	}
	public function getData_ini_visivel_publico()
	{
 		return $this->_data_ini_visivel_publico;
	}
	public function setLink_externo($link_externo)
	{
 		$this->_link_externo = $link_externo;
	}
	public function getLink_externo()
	{
 		return $this->_link_externo;
	}
	public function setlista_Analise($analise)
	{
 		$this->_analise = $analise;
	}
	public function getlista_Analise()
	{
 		return $this->_analise;
	}
}